Results 1 to 4 of 4

Thread: Why don't I have the latest nVIDIA driver version?

  1. #1

    Default Why don't I have the latest nVIDIA driver version?

    I have nVIDIA drivers installed via YAST. I was just curious to see what version I have and when I went into YAST -> Manage Software, I see I have version 256.53_k2.6.34.0 but that there's also version 270.41.06_k2.6.34.0 available but not installed from the same vendor. A few questions:

    1. Why didn't the updater applet ever alert me about this?
    2. Should I update to this or leave it as is?
    3. Why aren't updates of something from the same vendor being installed automatically?

  2. #2
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,733
    Blog Entries
    20

    Default Re: Why don't I have the latest nVIDIA driver version?

    What does this report

    Code:
    zypper lu
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  3. #3
    Join Date
    Jun 2008
    Location
    Earth - Denmark
    Posts
    10,730

    Default Re: Why don't I have the latest nVIDIA driver version?

    On 05/02/2011 09:06 PM, 6tr6tr wrote:
    >
    > 1. Why didn't the updater applet ever alert me about this?


    because 270.x is not an *update* of 256.x, instead it is an upgrade..

    the online update only informs of security patches and other updates to
    installed software, and almost never informs when there are new versions
    available..

    > 2. Should I update to this or leave it as is?


    depends on how much you believe in: If it ain't broke don't fix it.

    and, only you can decide (after reading all the release notes associated
    with the new driver) if any of the changes would affect _your_ card (it
    might not, maybe *all* the changes for a card you don't even have)...so,
    you have to do the research and make the decision for your machine and
    your needs..

    > 3. Why aren't updates of something from the same vendor being installed
    > automatically?


    they are, but new versions are not...generally openSUSE versions reach
    their end of life with the software versions they were born with, but
    updated with security patches and bug fixes..

    there *are* some few version upgrades pushed via the upgrade repo: a few
    which come to mind are (for example) 11.4 was born with a late beta
    version of firefox which was upgraded via update when the new versions
    was released...and, when Oracle messed with OpenOffice, the newer
    LibreOffice was upgraded via update..

    see?

    if you want to run the latest _version_ of all of your software you are
    gonna be a VERY busy person..

    --
    CAVEAT: http://is.gd/bpoMD
    [openSUSE 11.3 + KDE4.5.5 + Thunderbird3.1.8 via NNTP]
    HACK Everything -> http://www.youtube.com/watch?v=j5b4CCe9pS8&NR=1

  4. #4

    Default Re: Why don't I have the latest nVIDIA driver version?

    Quote Originally Posted by DenverD View Post
    On 05/02/2011 09:06 PM, 6tr6tr wrote:
    >
    > 1. Why didn't the updater applet ever alert me about this?


    because 270.x is not an *update* of 256.x, instead it is an upgrade..
    Ah, I didn't realise it was an upgrade. Thanks!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •